@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  KaDeck startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and KA_DECK_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\KaDeck-1.4.1.jar;%APP_HOME%\lib\helidon-media-jsonp-server-1.1.0.jar;%APP_HOME%\lib\helidon-webserver-1.1.0.jar;%APP_HOME%\lib\helidon-common-key-util-1.1.0.jar;%APP_HOME%\lib\helidon-common-configurable-1.1.0.jar;%APP_HOME%\lib\helidon-config-1.1.0.jar;%APP_HOME%\lib\commons-dbutils-1.6.jar;%APP_HOME%\lib\httpclient-4.5.8.jar;%APP_HOME%\lib\avro-1.8.2.jar;%APP_HOME%\lib\swagger-annotations-2.0.4.jar;%APP_HOME%\lib\commons-io-2.5.jar;%APP_HOME%\lib\log4j-core-2.11.1.jar;%APP_HOME%\lib\log4j-api-2.11.1.jar;%APP_HOME%\lib\kafka-clients-2.0.0.jar;%APP_HOME%\lib\h2-1.4.198.jar;%APP_HOME%\lib\helidon-media-jsonp-common-1.1.0.jar;%APP_HOME%\lib\helidon-media-common-1.1.0.jar;%APP_HOME%\lib\helidon-common-http-1.1.0.jar;%APP_HOME%\lib\helidon-common-reactive-1.1.0.jar;%APP_HOME%\lib\helidon-common-context-1.1.0.jar;%APP_HOME%\lib\helidon-common-1.1.0.jar;%APP_HOME%\lib\opentracing-util-0.31.0.jar;%APP_HOME%\lib\opentracing-noop-0.31.0.jar;%APP_HOME%\lib\opentracing-api-0.31.0.jar;%APP_HOME%\lib\netty-codec-http2-4.1.34.Final.jar;%APP_HOME%\lib\netty-codec-http-4.1.34.Final.jar;%APP_HOME%\lib\netty-handler-4.1.34.Final.jar;%APP_HOME%\lib\javax.annotation-api-1.3.1.jar;%APP_HOME%\lib\reactor-core-3.1.5.RELEASE.jar;%APP_HOME%\lib\httpcore-4.4.11.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\commons-codec-1.11.jar;%APP_HOME%\lib\jackson-mapper-asl-1.9.13.jar;%APP_HOME%\lib\jackson-core-asl-1.9.13.jar;%APP_HOME%\lib\paranamer-2.7.jar;%APP_HOME%\lib\snappy-java-1.1.7.1.jar;%APP_HOME%\lib\commons-compress-1.8.1.jar;%APP_HOME%\lib\xz-1.5.jar;%APP_HOME%\lib\slf4j-api-1.7.25.jar;%APP_HOME%\lib\lz4-java-1.4.1.jar;%APP_HOME%\lib\netty-codec-4.1.34.Final.jar;%APP_HOME%\lib\netty-transport-4.1.34.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.34.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.34.Final.jar;%APP_HOME%\lib\netty-common-4.1.34.Final.jar;%APP_HOME%\lib\javax.json-1.1.2.jar;%APP_HOME%\lib\reactive-streams-1.0.2.jar;%APP_HOME%\lib\javax.json-api-1.1.2.jar

@rem Execute KaDeck
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %KA_DECK_OPTS%  -classpath "%CLASSPATH%" com.xeotek.kadeck.Application %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable KA_DECK_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%KA_DECK_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
